Bug 473877 - (CVE-2008-2379) CVE-2008-2379 squirrelmail: XSS issue caused by an insufficient html mail sanitation
CVE-2008-2379 squirrelmail: XSS issue caused by an insufficient html mail san...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=vendorsec,reported=20081129,pu...
: Security
Depends On: 473288 473289 473290 473291 473881 833979
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 03:55 EST by Tomas Hoger
Modified: 2016-03-04 07:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-12 09:48:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch for SquirrelMail 1.4.x (1.49 KB, patch)
2008-12-01 03:59 EST, Tomas Hoger
no flags Details | Diff
Upstream patch for SquirrelMail 1.5.x (1.49 KB, patch)
2008-12-01 03:59 EST, Tomas Hoger
no flags Details | Diff

  None (edit)
Description Tomas Hoger 2008-12-01 03:55:11 EST
SquirrelMail upstream reports:

Ivan Markovic discovered a cross site scripting issue in SquirrelMail.
Vulnerable is at least 1.4.16, 15 and probably all earlier 1.4.x versions.
It is possible to trigger this by sending a malicious HTML email message
to a user who has the Show HTML Version setting turned on.
Comment 1 Tomas Hoger 2008-12-01 03:57:39 EST
This issue also affects users that do not have "Show HTML Version by Default" enabled, but select "View" action on specially crafted HTML attachment.
Comment 2 Tomas Hoger 2008-12-01 03:59:10 EST
Created attachment 325189 [details]
Upstream patch for SquirrelMail 1.4.x
Comment 3 Tomas Hoger 2008-12-01 03:59:45 EST
Created attachment 325190 [details]
Upstream patch for SquirrelMail 1.5.x
Comment 7 Tomas Hoger 2008-12-04 05:37:13 EST
Public now via:
  http://secunia.com/advisories/32143/

Fixed upstream in 1.4.17 (quoting ReleaseNotes):
  An issue was fixed that allowed an attacker to send specially-
  crafted hyperlinks in a message that could execute cross-site
  scripting (XSS) when the user viewed the message in SquirrelMail.

  We would like to thank Secunia Research for reporting this issue
  to us. It is tracked as CVE-2008-2379.

Upstream SVN commit, 1.4 branch:
http://squirrelmail.svn.sourceforge.net/viewvc/squirrelmail?view=rev&revision=13338
Comment 11 Fedora Update System 2008-12-06 23:13:12 EST
squirrelmail-1.4.17-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-12-06 23:13:57 EST
squirrelmail-1.4.17-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2008-12-06 23:33:40 EST
squirrelmail-1.4.17-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Tomas Hoger 2008-12-08 02:33:47 EST
Upstream advisory:
  http://www.squirrelmail.org/security/issue/2008-12-04

Note You need to log in before you can comment on or make changes to this bug.